Grav et php7.3 (php7.3-fpm)

#1

Bonjour,
je ne sais pas si la question à déjà été posé quelque part sur le forum, mais voici ma question :

Y a-t-il un moyen d’installer et d’utiliser php7.3 (php7.3-fpm) pour Grav CMS qui nécessite au minimum la version 7.1 pour fonctionner, alors que la version Yunohost (Debian 9.8) est restreinte à la version 7.0 bloquant de fait toute mise à jour de Grav ?

Un grand merci pour les éventuels retours …

Grav - Flat-file CMS package
#2

Hello,

Please have a look at Custom WebApp & Typo3

I have the same issue as you, but for Typo3!

#3

Bonjour,

Je ne pense pas que cela soit faisable facilement à ma connaissance. Il faudra certainement atttendre la sortie de la nouvelle version de Debian 10. Voir les commentaires https://github.com/YunoHost-Apps/grav_ynh/pull/19

@alexandre75, next Debian version will ship php 7.3. Untill Yunohost is “migrated”, I don’t think that it can be done easilly.

#4

Sorry, but I don’t understand what it has to do with a Debian version… PHP 7.1, PHP 7.2 are installed on my server and even working. Can you explain please?

#5

It is easier to stick with the php version provided by Debian than trying to add it by other ways like backports.

On Debian strech (stable version used by YunoHost), php7.0 is provided. With Debian Buster (next stable version), php7.3 will be provided.
See this table https://qa.debian.org/developer.php?login=pkg-php-maint%40lists.alioth.debian.org

Detail of php package in Stretch: https://packages.debian.org/stretch/php7.0

Is my explication made it better ?

1 Like
closed #6

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.